# getPodClass method

1. @override

Future<Class> getPodClass(

1. String podName

)
override

Retrieves the Class object for the specified pod name.

This method is useful for reflection-based operations or when you need to inspect the type of a pod at runtime.

## Usage Example:

    final podClass = await factory.getPodClass('userRepository');
    print('Pod class: ${podClass.name}');

@param podName The name of the pod to get the class for @return A Future that completes with the Class object of the pod

## Implementation

    @override
    Future<Class> getPodClass(String podName) async {
      final f = getPodFactory();

      if (await f.containsLocalPod(podName)) {
        return await f.getPodClass(podName);
      }

      if (_parent != null) {
        return await _parent!.getPodClass(podName);
      }

      throw NoSuchPodDefinitionException.byNameWithMessage(podName, 'No pod class for pod $podName');
    }